Subject: Re: [OPSAWG] draft-andersson-mpls-tp-oam-def-01.txt

From: Loa Andersson <[email-masked]>
Date: Mon, 20 Jul 2009 11:49:46 +0200

wg charis and OPS Area AD,

I'm a new member of this mailing-list, possibly a mistake since
I'v e a draft draft-andersson-mpls-tp-oam-def-01.txt that after
discussion with Dan sent to the opsawg.

The mail from Tom below needs to be a bit clarified, and I think
we should adopt the draft.

1. the mpls-tp is a a joint project between IETF and the ITU-T.
2. It is therefore with quite a bit of surprise that I see the
    text in the mail "I would urge caution whenever the characters
    mpls-tp appear"; to me it indicates that there is something
    shady about mpls-tp or the folks working with it.
3. further the mail seems to indicate that the mead team is not
    possible to cooperate with; "I would not want this WG to take
    on anything involving mpls-tp without a cast-iron, inalienable
    guarantee from the MEAD team that they will have nothing more
    to do with it."
4. The mead team is the design team the IETF has chartered  to
    coordinate the development of the mpls-tp technology and the
    relationship with ITU-T on mpls-tp.
5. a huge part of mpls-tp will be OAM, and I've had early indication
    from the OPS ADs that there is a clear interest from the OPS Area
    to participate in the mpls-tp project; this is interested is
    mirrored by the mead team which is clearly interested in
    increasing the cooperation with the OPS area and opsawg.
6. since there has been no reaction to Tom's mail, it would be
    interesting to know if this interest still stands and have a
    general support within the wg; and if it does not will the OPS
    Area opt out of mpls-tp work?

It is my sincere hope that this is not the case. Could you please
let me know ar early as possible, since we are just now initiating
the phase were we will be looking at the OAM
solutions drafts.

/Loa

Re: [OPSAWG] draft-andersson-mpls-tp-oam-def-01.txt

     * To: <opsawg at ietf.org>, "Scott O. Bradner" <sob at harvard.edu>
     * Subject: Re: [OPSAWG] draft-andersson-mpls-tp-oam-def-01.txt
     * From: "tom.petch" <cfinss at dial.pipex.com>
     * Date: Sat, 27 Jun 2009 11:43:02 +0200
     * Delivered-to: opsawg at core3.amsl.com
     * List-archive: <http://www.ietf.org/mail-archive/web/opsawg>
     * List-help: <mailto:[email-masked]?subject=help>
     * List-id: OPSA Working Group Mail List <opsawg.ietf.org>
     * List-post: <mailto:[email-masked]>
     * List-subscribe: <https://www.ietf.org/mailman/listinfo/opsawg>, 
<mailto:[email-masked]?subject=subscribe>
     * List-unsubscribe: <https://www.ietf.org/mailman/listinfo/opsawg>, 
<mailto:[email-masked]?subject=unsubscribe>
     * References: <20090610120434.B64C71826A4C at newdev.eecs.harvard.edu>
     * Reply-to: "tom.petch" <cfinss at dial.pipex.com>

Useful as an I-D in this field might be, I would urge caution whenever the
characters mpls-tp appear.

There is another memo, draft-andersson-mpls-tp-process, which, although 
I find
not easy to follow, describes a modification to the IETF process as and 
when the
MEAD team decides it shall be so, on the grounds that this is an MPLS-TP
document.

I would not want this WG to take on anything involving mpls-tp without a
cast-iron, inalienable guarantee from the MEAD team that they will have 
nothing
more to do with it.  I track the mpls-tp discussion list and would not want
those discussions on any more lists:-)

Tom Petch

----- Original Message -----
From: "Scott O. Bradner" <sob at harvard.edu>
To: <opsawg at ietf.org>
Sent: Wednesday, June 10, 2009 2:04 PM
Subject: [OPSAWG] draft-andersson-mpls-tp-oam-def-01.txt

 >
 > We had a presentation of this ID at a WG meeting a while back.
 >
 > At the time there seemed to be some interest in publishing a RFC
 > that would be a help to people trying to understand just what
 > the concept of OAM means in the IETF and other contexts - since
 > there is so much confusion and because it can be hard to hold
 > a conversation with somone coming from a different context.
 >
 > this is a call to see if you-all think that this ID
 > (draft-andersson-mpls-tp-oam-def-01.txt) whould be adopted
 > by the  opsawg as a work item.
 >
 > Please comment on the list in the next two weeks (i.e., before
 > June 25th)
 >
 > Thanks
 >
 > Scott

-- 

Loa Andersson                         email: [email-masked]
Sr Strategy and Standards Manager            [email-masked]
Ericsson Inc                          phone: +46 10 717 52 13
                                              +46 767 72 92 13

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 20 Jul 2009 12:13:18 +0200

Hi Loa,

See in-line. 

Regards,

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Loa Andersson
> Sent: Monday, July 20, 2009 12:50 PM
> To: [email-masked]
> Subject: Re: [OPSAWG] draft-andersson-mpls-tp-oam-def-01.txt
> 
> 
> I'm a new member of this mailing-list, possibly a mistake 
> since I'v e a draft draft-andersson-mpls-tp-oam-def-01.txt 
> that after discussion with Dan sent to the opsawg.
> 

It is not clear to me whether you consider as a mistake the fact that
you are subscribed to the list, or the fact that you are subscribed to
it only now. 

In any case, as you are co-authoring a submission to opsawg it looks to
me like a useful thing to be subscribed and participate in the
discussions. 

> The mail from Tom below needs to be a bit clarified, and I 
> think we should adopt the draft.
> 

I believe that there is not only interest in the OPS Area but also a
need for the OPS Area to support this work, review the relevant mpls-tp
documents and provide feedback. The I-D draft-andersson-mpls-tp-oam-def
is a modest part of the contribution, and I hope that the OPSAWG will
adopt it as a work item. I read more Tom's input as a request not to
place the work beyond the mpls-tp realm. I do not necessarily agree, as
I think this WG is the right place because OAM terminology can apply
beyond mpls-tp, but it's eventually the WG that must decide. 

> 
> It is my sincere hope that this is not the case. Could you 
> please let me know ar early as possible, since we are just 
> now initiating the phase were we will be looking at the OAM 
> solutions drafts.

As you know there is a difference between the OPS Area and the OPSAWG. I
think that the OPS Area must be involved and supporting actively the OAM
and management aspects of mpls-tp, in OPSAWG and beyond.

---

From: Loa Andersson <[email-masked]>
Date: Mon, 20 Jul 2009 12:19:57 +0200

Dan,

inline please.

> you are subscribed to the list, or the fact that you are subscribed to

what I meant was the I should have subscribed to the list when I
submitted the draft, it was a mistake not to.

/Loa

--